Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.BorderListener

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.event.MouseInputAdapter
              javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener, SwingConstants

Enclosing class:
  BasicInternalFrameUI

    protected class BasicInternalFrameUI.BorderListener

extends MouseInputAdapter
implements SwingConstants

Listens for border adjustments.

Field Summary
`protected int` | `RESIZE_NONE`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`protected` | `BasicInternalFrameUI.BorderListener()`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESIZE_NONE

    protected final int RESIZE_NONE

See Also:
  Constant Field Values

Constructor Detail

### BasicInternalFrameUI.BorderListener

    protected BasicInternalFrameUI.BorderListener()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse button has been clicked (pressed and released) on a component.

  Specified by:
    `mouseClicked` in interface `MouseListener`
  Overrides:
    `mouseClicked` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseAdapter`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  Overrides:
    `mouseMoved` in class `MouseAdapter`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `MouseListener`
  Overrides:
    `mouseEntered` in class `MouseAdapter`

### mouseExited

    public void mouseExited(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `MouseListener`
  Overrides:
    `mouseExited` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.